Question: GATK 2.8 stuck on cloning, repair error : object of type 'bool' has no len()
3
gravatar for christophe.habib
2.4 years ago by
France
christophe.habib340 wrote:

Hi

I'm trying to install GATK2 via the toolshed. The installation is stuck on "cloning". When i try to repair the GATK2 I have an error page. The error is :

"Module tool_shed.metadata.metadata_generator:668 in generate_tool_metadata >>  elif len( values ) == 1: TypeError: object of type 'bool' has no len()"

I don't really understand what it means. I already successfully installed this tool on another instance, but it doesnt work anymore.

I found some IRC logs talking about the very same error, but the fix is already present in the last galaxy version. https://github.com/galaxyproject/galaxy/commit/3acc4d49516a1202ba59499299fdcbeeb7378c27

I really need to have gatk2 on my instance. Can anyone help me please ?

Thanks,

Christ

 

 

error gatk bool has no len • 1.4k views
ADD COMMENTlink modified 2.4 years ago • written 2.4 years ago by christophe.habib340
3
gravatar for soklicd
2.4 years ago by
soklicd30
Slovenia
soklicd30 wrote:

I fixed this problem by opening lib/tool_shed/metadata/metadata_generator.py and changing line 652 from

if values is None:

to

if values is None or isinstance(values, int):

 

I know it's a workaround, but it works.

ADD COMMENTlink written 2.4 years ago by soklicd30

I hate me so much, I found a post talking about this line, but I must have checked the wrong file.

It worked indeed!

ADD REPLYlink written 2.4 years ago by christophe.habib340

Thanks soklicd, this seems to have worked! I noticed that this has been fixed in https://github.com/galaxyproject/galaxy/commit/cf6cbd434dea309037c1325de2937d143206d84d but as far as I can tell, there has been no new release with that in it yet (guessing we're going to skip the 15.07 release and go straight to 15.09?)

ADD REPLYlink written 2.3 years ago by lanceparsons10
1
gravatar for Jennifer Hillman Jackson
2.4 years ago by
United States
Jennifer Hillman Jackson23k wrote:

Hi Christ,

The Tool Shed publication for this update is in progress. I am going to bookmark this question so I can let you know when this is done. But also feel free to ask, or check the Tool Shed directly.

Thank you for for your patience, Jen, Galaxy team

ADD COMMENTlink written 2.4 years ago by Jennifer Hillman Jackson23k
0
gravatar for christophe.habib
2.4 years ago by
France
christophe.habib340 wrote:

Hi Jen,

I noticed that others tools are stuck as well (samtools_rmdup, variant_filtration, variant_select). Is it all about the same problem? How long does it take for the tool-shed publication usually?

I wonder if the failure of the repair is really related to the tool-shed publication.

Thank you for your answer and all your works.

Christ

ADD COMMENTlink written 2.4 years ago by christophe.habib340

This sounds strange ... I was able to install repositories today. Can this be a problem with your internet connection? SSL issues?

ADD REPLYlink written 2.4 years ago by Bjoern Gruening4.8k

I don't think I have any problem with my internet connection. I already installed this repositories once on another instance, in April. Plus there is that error when I try to repair. My guess is that it could be related with the update of May. Actually I am clueless.

PS : I need GATK2.0 on my instance, and then I'll work on the wrapper of GATK3.

ADD REPLYlink written 2.4 years ago by christophe.habib340
1

We offer GATK2.8 via the Tool Shed. If you can not install any tool, there is really something fishy on your side. Happy to help if you can provide more debug information.

ADD REPLYlink written 2.4 years ago by Bjoern Gruening4.8k

Hi Bjoern,

Here is an error that come back continuously when I try to install/repair/uninstall GATK :

10.163.227.17 - - [27/Jul/2015:09:49:15 +0200] "POST /galaxydiag/admin_toolshed/repair_repository?id=82b264d8c3d11790 HTTP/1.0" 500 - "http://URL/galaxydiag/admin_toolshed/repair_repository?id=82b264d8c3d11790" "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:36.0) Gecko/20100101 Firefox/36.0"
Error - <type 'exceptions.TypeError'>: object of type 'bool' has no len()
----------------------------------------
Exception happened during processing of request from ('127.0.0.1', 40029)
Traceback (most recent call last):
  File "/home/galaxy/galaxy_21juil2015/galaxy/eggs/Paste-1.7.5.1-py2.7.egg/paste/httpserver.py", line 1068, in process_request_in_thread
    self.finish_request(request, client_address)
  File "/usr/lib/python2.7/SocketServer.py", line 334, in finish_request
    self.RequestHandlerClass(request, client_address, self)
  File "/usr/lib/python2.7/SocketServer.py", line 651, in __init__
    self.finish()
  File "/usr/lib/python2.7/SocketServer.py", line 704, in finish
    self.wfile.flush()
  File "/usr/lib/python2.7/socket.py", line 303, in flush
    self._sock.sendall(view[write_offset:write_offset+buffer_size])
error: [Errno 32] Broken pipe

 

I am afraid there is nothing I can do myself to correct this error... Do you have any idea?

I just noticed that GATK2's status is now "installed". Unfortunately I can't see it or any of GATK tools in my tools panel... I am investigating this.

 

ADD REPLYlink modified 2.4 years ago • written 2.4 years ago by christophe.habib340

Uh, this looks bad, which version of Galaxy are you running?

ADD REPLYlink written 2.4 years ago by Bjoern Gruening4.8k

This is the last one. I installed this instance last week (22nd July) from git!

ADD REPLYlink modified 2.4 years ago • written 2.4 years ago by christophe.habib340
0
gravatar for christophe.habib
2.4 years ago by
France
christophe.habib340 wrote:

Well I don't understand.

First, GATK installation was stuck on "Cloning" status. Now GATK is installed but it doesn't appear in the tools panel. I tried several times to uninstall/install it, I can't manage to have this tools in my panel. I could add these tools by myself within the shel_tool_conf.xml, but I wonder if this comportment means there is a problem somewhere..

Is it possible that the "Broken pipe" error means that my connection to internet is too unstable?

ADD COMMENTlink written 2.4 years ago by christophe.habib340

You need to restart Galaxy to get your tools displayed after installation.

ADD REPLYlink written 2.4 years ago by Bjoern Gruening4.8k

Oh really? I don't need to restart Galaxy for all others tools to see them in my tools panel.. I will try it next time I manage to install GATK2. It is stuck once more on cloning, and when I try to repair, I have again this error : 

Module galaxy.web.framework.middleware.error:149 in __call__
>>  app_iter = self.application(environ, sr_checker)
Module paste.recursive:84 in __call__
>>  return self.application(environ, start_response)
Module paste.httpexceptions:633 in __call__
>>  return self.application(environ, start_response)
Module galaxy.web.framework.base:133 in __call__
>>  return self.handle_request( environ, start_response )
Module galaxy.web.framework.base:191 in handle_request
>>  body = method( trans, **kwargs )
Module galaxy.web.framework.decorators:87 in decorator
>>  return func( self, trans, *args, **kwargs )
Module galaxy.webapps.galaxy.controllers.admin_toolshed:1418 in repair_repository
>>  return self.repair_tool_shed_repositories( trans, rrm, repositories_for_repair, ordered_repo_info_dicts )
Module galaxy.web.framework.decorators:87 in decorator
>>  return func( self, trans, *args, **kwargs )
Module galaxy.webapps.galaxy.controllers.admin_toolshed:1439 in repair_tool_shed_repositories
>>  encoding_util.tool_shed_encode( repo_info_dict ) )
Module tool_shed.galaxy_install.repair_repository_manager:191 in repair_tool_shed_repository
>>  reinstalling=True )
Module tool_shed.galaxy_install.install_manager:894 in install_tool_shed_repository
>>  reinstalling=reinstalling )
Module tool_shed.galaxy_install.install_manager:530 in __handle_repository_contents
>>  irmm.generate_metadata_for_changeset_revision()
Module tool_shed.metadata.metadata_generator:443 in generate_metadata_for_changeset_revision
>>  metadata_dict )
Module tool_shed.metadata.metadata_generator:668 in generate_tool_metadata
>>  elif len( values ) == 1:
TypeError: object of type 'bool' has no len()

Well... there is something, but I don't know what!

ADD REPLYlink written 2.4 years ago by christophe.habib340

Ok this restart thing, depends a little bit on your setup.

I have regenerated the metadata for the GATK2 repository, can you please try again?
 

ADD REPLYlink written 2.4 years ago by Bjoern Gruening4.8k

Here is exactly what appen during installation :

[10.163.227.17 - - [27/Jul/2015:13:43:58 +0200] "POST /galaxydiag/admin_toolshed/repository_installation_status_updates HTTP/1.0" 200 - "http://jacob.bct.aphp.fr/galaxydiag/admin_toolshed/prepare_for_install" "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:36.0) Gecko/20100101 Firefox/36.0"] THIS LINES 15 TIMES
galaxy.tools.data WARNING 2015-07-27 13:44:00,042 Cannot find index file './database/tmp/tmp-toolshed-gmfcrRPwxe2/gatk2_picard_index.loc' for tool data table 'gatk2_picard_indexes'
galaxy.tools.data DEBUG 2015-07-27 13:44:00,042 Loaded tool data table 'gatk2_picard_indexes'
galaxy.tools.data WARNING 2015-07-27 13:44:00,043 Cannot find index file './database/tmp/tmp-toolshed-gmfcrRPwxe2/gatk2_annotations.txt' for tool data table 'gatk2_annotations'
galaxy.tools.data DEBUG 2015-07-27 13:44:00,043 Loaded tool data table 'gatk2_annotations'
galaxy.tools.data WARNING 2015-07-27 13:44:00,108 Cannot find index file '/home/galaxy/galaxy_21juil2015/galaxy/tool-data/gatk2_picard_index.loc' for tool data table 'gatk2_picard_indexes'
galaxy.tools.data DEBUG 2015-07-27 13:44:00,108 Loading another instance of data table 'gatk2_picard_indexes', attempting to merge content.
galaxy.tools.data WARNING 2015-07-27 13:44:00,108 Cannot find index file '/home/galaxy/galaxy_21juil2015/galaxy/tool-data/gatk2_annotations.txt' for tool data table 'gatk2_annotations'
galaxy.tools.data DEBUG 2015-07-27 13:44:00,108 Loading another instance of data table 'gatk2_annotations', attempting to merge content.
galaxy.tools.data WARNING 2015-07-27 13:44:00,190 Cannot find index file '/home/galaxy/galaxy_21juil2015/galaxy/tool-data/gatk2_picard_index.loc' for tool data table 'gatk2_picard_indexes'
galaxy.tools.data DEBUG 2015-07-27 13:44:00,190 Loading another instance of data table 'gatk2_picard_indexes', attempting to merge content.
galaxy.tools.data WARNING 2015-07-27 13:44:00,190 Cannot find index file '/home/galaxy/galaxy_21juil2015/galaxy/tool-data/gatk2_annotations.txt' for tool data table 'gatk2_annotations'
galaxy.tools.data DEBUG 2015-07-27 13:44:00,190 Loading another instance of data table 'gatk2_annotations', attempting to merge content.
galaxy.tools.data WARNING 2015-07-27 13:44:00,191 Cannot find index file '/home/galaxy/galaxy_21juil2015/galaxy/tool-data/gatk2_picard_index.loc' for tool data table 'gatk2_picard_indexes'
galaxy.tools.data DEBUG 2015-07-27 13:44:00,191 Loading another instance of data table 'gatk2_picard_indexes', attempting to merge content.
galaxy.tools.data WARNING 2015-07-27 13:44:00,191 Cannot find index file '/home/galaxy/galaxy_21juil2015/galaxy/tool-data/gatk2_annotations.txt' for tool data table 'gatk2_annotations'
galaxy.tools.data DEBUG 2015-07-27 13:44:00,191 Loading another instance of data table 'gatk2_annotations', attempting to merge content.
galaxy.tools.data WARNING 2015-07-27 13:44:00,192 Cannot find index file '/home/galaxy/galaxy_21juil2015/galaxy/tool-data/gatk2_picard_index.loc' for tool data table 'gatk2_picard_indexes'
galaxy.tools.data DEBUG 2015-07-27 13:44:00,192 Loading another instance of data table 'gatk2_picard_indexes', attempting to merge content.
galaxy.tools.data WARNING 2015-07-27 13:44:00,192 Cannot find index file '/home/galaxy/galaxy_21juil2015/galaxy/tool-data/gatk2_annotations.txt' for tool data table 'gatk2_annotations'
galaxy.tools.data DEBUG 2015-07-27 13:44:00,192 Loading another instance of data table 'gatk2_annotations', attempting to merge content.
10.163.227.17 - - [27/Jul/2015:13:43:15 +0200] "POST /galaxydiag/admin_toolshed/manage_repositories HTTP/1.0" 500 - "http://jacob.bct.aphp.fr/galaxydiag/admin_toolshed/prepare_for_install" "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:36.0) Gecko/20100101 Firefox/36.0"
Error - <type 'exceptions.TypeError'>: object of type 'bool' has no len()


and now I have this continuously :

10.163.227.17 - - [27/Jul/2015:13:46:26 +0200] "POST /galaxydiag/admin_toolshed/repository_installation_status_updates HTTP/1.0" 200 - "http://jacob.bct.aphp.fr/galaxydiag/admin_toolshed/prepare_for_install" "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:36.0) Gecko/20100101 Firefox/36.0"

 

ADD REPLYlink modified 2.4 years ago • written 2.4 years ago by christophe.habib340

Sorry, I'm running our of ideas. Which Galaxy version are you using. Can you try the upcoming one. I will run a Docker Image in the evening and see if I can reproduce it.

ADD REPLYlink written 2.4 years ago by Bjoern Gruening4.8k
I downloaded this instance 22nd July so this should be the very last version of galaxy..
ADD REPLYlink modified 2.4 years ago • written 2.4 years ago by christophe.habib340
0
gravatar for christophe.habib
2.4 years ago by
France
christophe.habib340 wrote:

The changement in the file suggested by soklicd fixed my problem. Sorry for wasting your time on such a small thing.

Thank you everyone for your help!

ADD COMMENTlink written 2.4 years ago by christophe.habib340
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 16.09
Traffic: 86 users visited in the last hour